package gfmq.ejb;

import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.TextMessage;

@MessageDriven(activationConfig = {
	// @ActivationConfigProperty(propertyName = "connectionFactoryLookup",
	// propertyValue = "java:app/jms/ontheflyConnectionFactory"),
	@ActivationConfigProperty(propertyName = "connectionFactoryLookup", propertyValue = "jms/denemeConnectionFactory"),
	// @ActivationConfigProperty(propertyName = "destinationLookup",
	// propertyValue = "java:app/jms/ontheflyQueue"),
	@ActivationConfigProperty(propertyName = "destinationLookup", propertyValue = "jms/denemeQueue"),
	@ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Queue"),
	@ActivationConfigProperty(propertyName = "acknowledgeMode", propertyValue = "Auto-acknowledge") })
@TransactionManagement(TransactionManagementType.BEAN)
// @MessageDriven
public class MQ_EJB_MDB implements MessageListener {

    public MQ_EJB_MDB() {
    }

    public void onMessage(Message message) {
	// try {
	// message.acknowledge();
	// } catch (Exception e) {
	// e.printStackTrace();
	// }
	TextMessage txtMessage = (TextMessage) message;
	try {
	    System.out.println("MQ_EJB_MDB ile mesaj alindi. Mesajin icerigi: "
		    + txtMessage.getText());
	} catch (Exception e) {
	    e.printStackTrace();
	}
    }

}
