package gfmq.ejb;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.ejb.LocalBean;
import javax.ejb.Singleton;
import javax.ejb.Startup;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;
import javax.inject.Inject;

@Startup
@Singleton
@TransactionManagement(TransactionManagementType.BEAN)
@LocalBean
public class SingletonBean {

    // @Inject
    // private Producer_EJB producer_EJB;

    @PostConstruct
    public void postConstruct() {
	System.out.println("SingletonBean postConstruct OK");
	// producer_EJB.sendMessage("Deneme mesaj from SingletonBean");
    }

    @PreDestroy
    public void preDestroy() {
	System.out.println("SingletonBean preDestroy OK");
    }

    public SingletonBean() {
    }

}
